IntelliJ IDEA pydev debug error

IntelliJ IDEA 2022.2.1
Build #IU-222.3739.54, built on August 16, 2022
macOS 12.5.1
Python3
Plug-in Python 222.3739.68


I create our exception.

I debug python code.

 

this error

Unable to display children:Error resolving variables Traceback (most recent call last):
File "/Users/XXX/XXX/XXX/XXX-XXX/backend/handler/apis/contact_us/contact_us.py", line 49, in lambda_handler
response_body = handle_request(request=request, is_member=is_member, system_properties=system_properties)
File "/Users/XXX/XXX/XXX/XXX-XXX/backend/handler/apis/contact_us/contact_us.py", line 131, in handle_request
req_response = email_client.submit_send_email(req_body_data.__dict__)
File "/Users/XXX/XXX/XXX/XXX-XXX/backend/shared/modules/Email/EmailService.py", line 102, in submit_send_email
raise e
File "/Users/XXX/XXX/XXX/XXX-XXX/backend/shared/modules/Email/EmailService.py", line 91, in submit_send_email
raise Unprocessable
backend.handler.apis.contact_us.contact_us_model.Unprocessable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/XXX/Library/Application Support/JetBrains/IntelliJIdea2022.2/plugins/python/helpers/pydev/_pydevd_bundle/pydevd_resolver.py", line 213, in resolve
return dict[key]
KeyError: 'Exception'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/XXX/Library/Application Support/JetBrains/IntelliJIdea2022.2/plugins/python/helpers/pydev/_pydevd_bundle/pydevd_comm.py", line 1245, in do_it
_typeName, val_dict = pydevd_vars.resolve_compound_variable_fields(self.thread_id, self.frame_id, self.scope, self.attributes, dbg.get_user_type_renderers())
File "/Users/XXX/Library/Application Support/JetBrains/IntelliJIdea2022.2/plugins/python/helpers/pydev/_pydevd_bundle/pydevd_vars.py", line 300, in resolve_compound_variable_fields
var = getVariable(thread_id, frame_id, scope, attrs)
File "/Users/XXX/Library/Application Support/JetBrains/IntelliJIdea2022.2/plugins/python/helpers/pydev/_pydevd_bundle/pydevd_vars.py", line 241, in getVariable
var = resolver.resolve(var, k)
File "/Users/XXX/Library/Application Support/JetBrains/IntelliJIdea2022.2/plugins/python/helpers/pydev/_pydevd_bundle/pydevd_resolver.py", line 215, in resolve
return getattr(dict, key)
AttributeError: 'dict' object has no attribute 'Exception'

 

 

2 comments
Comment actions Permalink

Hi, 

Is it possible to provide a sample project to reproduce the issue, so we could investigate it properly?

0
Comment actions Permalink

It's hard for me to replicate There are multiple services in my project. Thank you for your attention And if later I can simulate the situation I will come and tell

thanks again

0

Please sign in to leave a comment.